%
%  createImage erzeugt ein RGB-Bild mit 255 Zeilen und 255 Spalten, 
%    also mit exakt 255x255 Pixeln, wobei der Rot-Wert eines Pixels P(z,s) 
%    den Wert z der Zeile hat, der Grn-Wert den Wert s der Spalte und 
%    der Blau-Wert fr alle Pixel 100 ist.
%
function createImage()      

   % Array vorbelegen, bringt Geschwindigkeitsvorteil
   A( 1:255, 1:255, 1:3 ) = 0;
   
   % alle Zeilen und Spalten definieren 
   for( z=1:255 )          
      for( s=1:255 )
         A(z,s,1) = z;     % Rot-Wert
         A(z,s,2) = s;     % Grn-Wert
         A(z,s,3) = 100;   % Blau-Wert
      end
   end
   % Daten in uint8 wandeln, zur Sicherheit 
   A = uint8(A);
   
   % Bild anzeigen
   image( uint8(A) );      
   axis image;

   % Dateinamen zum Speichern holen 
   [f,p] = uiputfile( 'createImage.bmp' );  
   if( f == 0 )                       
       return;                        
   end
   % Dateinamen aus Pfad p und File-Namen f zusammenbauen
   datei = [p,f];
   
   % Daten abspeichern
   imwrite( A, datei )             
   