%
%  Erstellen Sie die Funktion interpolExcel. 
%    In der Excel-Datei mit dem Namen name sind Werte einer Ortsmessung x(t) 
%    gespeichert, in der Spalte A die t-Werte und in der Spalte B die x-Werte. 
%    Fr die x-Werte erwartet man den funktionalen Zusammenhang:
%      x(t) = v t + x0
%    Lesen Sie die t- und x-Daten aus der Excel-Datei aus. 
%    Interpolieren Sie die x-Werte mit ei-nem Polynom geeigneten Grades und 
%    bestimmen Sie dadurch die Werte fr v und x0, die als Funktionswerte 
%    zurckgegeben werden. 
%    Berechnen Sie den Mittelwert diff des Betrags der Abweichung der Messwerte 
%    von der Funktion. Testen die Funktion mit der Datei xData.xls.
%
%    >> [v,x0,diff] = interpolExcel( xData.xls );
%
function [v,x0,diff] = interpolExcel( name )  

   data = xlsread( name );
   t = data( :,1 );
   x = data( :,2 );
   
   p = polyfit( t,x,1 );      
   v  = p(1);                      
   x0 = p(2);             
   
   % Funktionswerte an t-Punkten
   xf = polyval( p, t );
   
   % Abweichung im Betrag 
   d = abs( x - xf );
   diff = mean( d );
   
   % zum Test zeichnen
   plot( t, xf, 'b-', t, x, 'rs' )
   