%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Funktion synth_add_hall() 
%
%  Autor: Ulrich Stein, Dep. M+P, HAW Hamburg
%
%  Erzeugt:          23.04.2006
%  Letzte nderung:  24.03.2008
%
%--------------------------------------------------------------------
%
%  Addiert den Hall-Effekt zu der Schwingung.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function  schwingung = synth_add_hall( orig )

    schwingung = orig;
    
    global synth_data;  
    
    if( synth_data.hall.anzahl < eps   | ...
        synth_data.hall.amplitude < eps  )
        return;
    end
            
    % Effekt-Feld anlegen, so lange wie orig
    len = length(orig);  % = TS * SR + 1;
    SR = synth_data.samplerate;
    
    hz = synth_data.hall.hallzeit;
    hn = synth_data.hall.anzahl; 
    ha = synth_data.hall.amplitude / 100; % in Prozent 
    
    hs = SR * hz;  % wie viele Sttzstellen whrend Hallzeit 

    % wie viele Hall-Wiederholungen gibt es
    for( n = 1:hn )
       
       offset = n * hs; % wann kommt der Hall 
       for( s=offset+1:len )
          schwingung(s) = schwingung(s) + ha/n * orig( s-offset ); 
       end
    end
    
return;
